Added
-
Global Payroll → Create a Global Payroll worker: Endpoint is now available, which allows to create a Global Payroll worker and their contract in a single call.
-
Global Payroll → Retrieve the Global Payroll worker creation schema: Endpoint is now available, which allows to retrieve the fields accepted by the Global Payroll worker creation endpoint, including required status, permitted values, and validation rules.
-
Organizations → Add admins to child organizations: Endpoint is now available, which allows to add multiple admins to child organizations in one call.
-
Global Payroll → Get payroll activation readiness for a legal entity: Endpoint is now available, which allows to check whether a legal entity has reached payroll activation readiness.
Changed
-
Ats Applications → Retrieve ATS application: Added
EXPIREDto theoffer_status_enumresponse field that indicates an offer has expired. -
Eor Contract → Create an EOR contract: Added
job_codeandjob_categoryto the response that provide the country-specific occupation code and the job category assigned to the role. -
Legal Entities → List of legal entities: Added
statusfield to each item in the response that provides the mapped legal entity lifecycle status. -
People → Retrieve a single person: Added
person_statusandlifecycle_statusto the response that provide the person profile status and work lifecycle stage respectively; also addedmiddle_nameand other new response fields. -
Organizations → Create child organization: Added optional
parent_admin_emailsandchild_adminsarrays to the request, allowing callers to specify parent organization admins and child organization admins when creating a child organization. -
Onboarding → Get onboarding details by employee HRIS profile ID: Added
banner,actions,contracts, andapp_experiencefields to the response, and expandedprofile,stepper,contract,progress,checklist, andhris_profilewith additional sub-fields. -
Onboarding → Get onboarding details by onboarding tracker ID: Added
banner,actions,contracts, andapp_experienceto the response, and extendedprofile,stepper,contract,progress,checklist, andhris_profilewith additional sub-fields. -
Onboarding → List onboarding employees: Added
lifecycleStatuses,waitingOnParties,card,weekFromDate, andweekToDatequery parameters for filtering; addedprofile,overview,contracts,pending_steps,invitation_sent, andcan_send_invitationto each response item; and expandedcontract,progress,hris_profile, andapp_experiencewith additional sub-fields. -
Eor Offboarding → Retrieve Offboarding Request: Added new values to the
reasonfield in therequest_dataresponse, includingWORKER_TYPE_CHANGE,DISSATISFIED_WITH_DEEL_SERVICE,DISSATISFIED_WITH_DEEL_PRICING,DISSATISFIED_WITH_DEEL_PRODUCT,DEEL_COLLECTIONS, and additional employee departure reason codes. -
Time Off → Create time-off request: Added
custom_field_valuesto the request and response that allows submitting and retrieving answers to custom fields declared by the time-off policy. -
Time Off → Validate time-off request: Added
custom_field_valuesto the request andcustom_fieldsandcustom_field_validation_resultsto the response to support submitting and validating custom field answers declared by the time-off policy. -
Time Off → List time-off requests for Organization: Added
Bereaved partner's paternity leave,Carer's leave,Neonatal care leave,Parental bereavement leave, andShared parental leaveas accepted values for thepolicy_type_namesfilter parameter. -
Time Off → List policies: Added
has_custom_fields,is_requiring_custom_fields, andcustom_fieldsto the response, and expanded thepolicy_type_namequery parameter with additional allowed values. -
Time Off → Process time-off requests from an external HRIS: Added new accepted values to
policy_typein the request:Bereaved partner's paternity leave,Carer's leave,Neonatal care leave,Parental bereavement leave,Shared parental leave, andWork Location. -
Time Off → Get Profile Entitlements: Added five new values to the
policy_type_namefilter:Bereaved partner's paternity leave,Carer's leave,Neonatal care leave,Parental bereavement leave, andShared parental leave. -
Time Off → List time-off requests: Added
Bereaved partner's paternity leave,Carer's leave,Neonatal care leave,Parental bereavement leave, andShared parental leaveas accepted values for thepolicy_type_namesfilter parameter. -
Time Off → Get Policies for Organization: Added five UK family leave types to the
policy_typefilter:Bereaved partner's paternity leave,Carer's leave,Neonatal care leave,Parental bereavement leave, andShared parental leave. -
Ats Locations → Retrieve a list of ATS locations: Added
include_archivedquery parameter to include archived locations in the response, and addedarchived_atresponse field indicating when a location was archived. -
Ats Tags → List tags: Added
include_archivedquery parameter to include archived tags in the response, and addedarchived_atfield to the response that indicates when a tag was archived. -
Ats Departments → Retrieve a list of ATS departments: Added
include_archivedquery parameter to include archived departments in the response, and addedarchived_atresponse field indicating when a department was archived. -
Ats Reasons → Retrieve paginated list of ATS Rejection/Archivation reasons: Added
include_archivedquery parameter to include archived reasons in the response, and addedarchived_atresponse field indicating when a reason was archived. -
Ats → Retrieve a list of ATS teams: Added
include_archivedquery parameter to include archived teams in the response, and addedarchived_atresponse field indicating when a team was archived. -
Users → List users: Added
jobProfilefield in the response that provides the worker’s active job profile from job architecture, anddepartmentCustomFieldsfield that provides org-structure custom fields for the department node. -
Users → Retrieve a single User: Added
jobProfilefield in the response that provides the worker’s active job profile from job architecture, anddepartmentCustomFieldsfield that provides org-structure custom fields for the department node.